//---------------------------------------------------------------------------
#ifndef PreviewFrmH
#define PreviewFrmH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "RVPP.hpp"
#include "CRVPP.hpp"
#include "RVScroll.hpp"
//---------------------------------------------------------------------------
class TfrmPreview : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TLabel *Label1;
    TComboBox *cmb;
    TButton *Button1;
    TButton *Button2;
    TButton *Button3;
    TButton *Button4;
    TRVPrintPreview *rvpp;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
    void __fastcall cmbExit(TObject *Sender);
    void __fastcall cmbKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall rvppZoomChanged(TObject *Sender);
private:	// User declarations
    void UpdateZoom();
public:		// User declarations
    __fastcall TfrmPreview(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmPreview *frmPreview;
//---------------------------------------------------------------------------
#endif
